/* modified */

:root {
  --dt-html-background: black !important;
}
:root.dark {
  --dt-html-background: #111 !important; /*rgb(33, 37, 41)*/;
}
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-orderable-desc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-orderable-desc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order:after {
  font-size: 1rem !important;
}
table.dataTable td.dt-empty {
  text-align: left !important;
  color: var(--col-txt) !important;
  font-size: 1rem !important;
}
table.dataTable {
  width: auto !important;
}
table.dataTable > tbody > tr > th,
table.dataTable > tbody > tr > td {
  padding: 6px 8px 5px 8px !important;
}
div.dt-container .dt-input {
  margin-right: 0px !important;
  color: var(--col-txt) !important;
  font-size:1rem !important;
}
div.dt-container .dt-paging .dt-paging-button {
  padding: 5px 1em !important;
  color:  var(--col-txt) !important;
  font-size: 1rem !important;
}
div.dt-container .dt-paging .dt-paging-button:hover {
  border: 1px solid #aaa !important;
}
div.dt-container .dt-length,
div.dt-container .dt-search,
div.dt-container .dt-info,
div.dt-container .dt-processing,
div.dt-container .dt-paging {
  color:  var(--col-txt) !important;
}
html.dark .dt-container.dt-empty-footer table.dataTable {
  border-bottom: 0px solid black !important;
}
html.dark .dt-container .dt-paging .dt-paging-button.current, html.dark .dt-container .dt-paging .dt-paging-button.current:hover {
  background: transparent !important;
}
html.dark .dt-container .dt-paging .dt-paging-button:hover {
  border: 1px solid rgba(53, 53, 53,0.4) !important;
  background: rgba(53, 53, 53,0.4) !important;
}
div.dt-scroll div.dtfc-top-blocker,
div.dt-scroll div.dtfc-bottom-blocker,
div.dtfh-floatingparent div.dtfc-top-blocker,
div.dtfh-floatingparent div.dtfc-bottom-blocker {
  background-color: transparent !important;
}
html.dark div.dtfc-top-blocker,
html.dark div.dtfc-bottom-blocker {
  background-color: transparent !important;
}

table.dataTable thead > tr > th.dt-orderable-asc, table.dataTable thead > tr > th.dt-orderable-desc, table.dataTable thead > tr > th.dt-ordering-asc, table.dataTable thead > tr > th.dt-ordering-desc,
table.dataTable thead > tr > td.dt-orderable-asc,
table.dataTable thead > tr > td.dt-orderable-desc,
table.dataTable thead > tr > td.dt-ordering-asc,
table.dataTable thead > tr > td.dt-ordering-desc {
  position: relative;
  padding-right: 10px !important;
}
table.dataTable thead > tr > th.dt-orderable-asc span.dt-column-order, table.dataTable thead > tr > th.dt-orderable-desc span.dt-column-order, table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order, table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order,
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order,
table.dataTable thead > tr > td.dt-orderable-desc span.dt-column-order,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order,
table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order {
  right: 3px !important;
}

table.dataTable.hover > tbody > tr:hover > *, table.dataTable.display > tbody > tr:hover > * {
  box-shadow: inset 0 0 0 9999px rgba(var(--col-dt-over), 0.5) !important;
}


/*
tries to control fixed column background colors but failed. also changes if sorted by fixed column ofc !

table.dataTable.display > tbody tr > .sorting_1 {
  box-shadow: inset 0 0 0 9999px rgba(var(--col-dt-over), 0.3) !important;
}
table.dataTable.display > tbody > tr:nth-child(odd) > .sorting_1 {
  box-shadow: inset 0 0 0 9999px rgba(var(--col-dt-over), 0.1) !important;
}
table.dataTable tbody tr > .dtfc-fixed-start{
  box-shadow: inset 0 0 0 9999px rgba(var(--col-dt-over), 0.3) !important;
}

*/

/* own */

.dt_highlight { background-color: rgba(var(--col-dt-over),0.8); }
.dt_head_highlight { 
  background-color: rgba(var(--col-dt-over),0.6) !important;
  box-shadow: inset 0 0 0 9999px rgba(var(--col-dt-alt), 0.6) !important;
}
.dt_totals { 
  color:var(--col-target);
}
html.dark div.dtfc-top-blocker,
html.dark div.dtfc-bottom-blocker {
  pointer-events: none !important;
}